
#include <QWidget>
#include <QResizeEvent>

class Widget : public QWidget
{

Q_OBJECT

public:
   Widget()
   {
      setWindowFlags(Qt::Window | Qt::FramelessWindowHint);
      resize(150,150);
      move(100, 100);
   }

private:
  void resizeEvent(QResizeEvent  *e)
  {
     qDebug("ResizeEvent: new size: %dx%d", e->size().width(), e->size().height());
  }
};